{ pkgs, options, ...}:

let
  unstable = import <nixos-unstable> {};
in {
  environment.systemPackages = with pkgs; [
    cryptsetup
    kubectl
    pwgen
    whois
    unstable.argocd
    unstable.kubernetes-helm
    unstable.kustomize
    unstable.vault

    podman-compose
    fuse-overlayfs
  ];

  virtualisation.podman = {
    enable = true;
    dockerCompat = true;
  };
}
